Subject: linux-next: build failure after merge of the rdma tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 4 Dec 2018 11:47:31 +1100

Hi all,

After merging the rdma tree, today's linux-next build (x86_64
allmodconfig) failed like this:

ERROR: "mlx5_get_send_wqe" [drivers/infiniband/hw/mlx5/mlx5_ib.ko] undefined!

Caused by commit

  34f4c9554d8b ("IB/mlx5: Use fragmented QP's buffer for in-kernel users")

mlx5_get_send_wqe() is still used in drivers/infiniband/hw/mlx5/cq.c
and declared in drivers/infiniband/hw/mlx5/mlx5_ib.h ...

I have used the version of the rdma tree from next-20181203 for today.

-- 
Cheers,
Stephen Rothwell